{% extends 'pathotrack/layout/base.html' %}
{% load widget_tweaks %}
{% block top-menu %}{% endblock top-menu %}

{% block content %}
<div class="row">
  <div class="col-12">
    <form method="post" class="card">
      {% csrf_token %}
      <div class="card-header">
        <h4 class="card-title">Patient Registration</h4>
      </div>
      <div class="card-body">
        <div class="row">
            <div class="form-group col-md-2 mb-3">
                {{ form.patient_title.label_tag }}
                {{ form.patient_title|add_class:"form-select mt-1" }}
            </div>
            <div class="form-group col-md-6 mb-3">
                {{ form.patient_name.label_tag }}
                {{ form.patient_name|add_class:"form-control mt-1" }}
            </div>
            <div class="form-group col-md-2 mb-3">
                {{ form.patient_sex.label_tag }}
                {{ form.patient_sex|add_class:"form-select mt-1" }}
            </div>
            <div class="form-group col-md-2 mb-3">
                {{ form.patient_age.label_tag }}
                {{ form.patient_age|add_class:"form-control mt-1" }}
            </div>
            <div class="form-group col-md-4 mb-3">
                {{ form.patient_dob.label_tag }}
                <div class="input-icon">
                    <input id="calendar-time" type="date" name="{{ form.patient_dob.name }}" value="{{ form.patient_dob.value|date:"Y-m-d" }}" class="form-control" placeholder="Select a date" />
                    <span class="input-icon-addon"><svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z"/><rect x="4" y="5" width="16" height="16" rx="2" /><line x1="16" y1="3" x2="16" y2="7" /><line x1="8" y1="3" x2="8" y2="7" /><line x1="4" y1="11" x2="20" y2="11" /><line x1="11" y1="15" x2="12" y2="15" /><line x1="12" y1="15" x2="12" y2="18" /></svg>
                    </span>
                </div>
            </div>
            <div class="form-group col-md-4 mb-3">
                {{ form.patient_address1.label_tag }}
                {{ form.patient_address1|add_class:"form-control mt-1" }}
            </div>
            <div class="form-group col-md-4 mb-3">
                {{ form.patient_address2.label_tag }}
                {{ form.patient_address2|add_class:"form-control mt-1" }}
            </div>
            <div class="form-group col-md-4 mb-3">
                {{ form.patient_city.label_tag }}
                {{ form.patient_city|add_class:"form-control mt-1" }}
            </div>
            <div class="form-group col-md-4 mb-3">
                {{ form.patient_state.label_tag }}
                {{ form.patient_state|add_class:"form-select mt-1" }}
            </div>
            <div class="form-group col-md-4 mb-3">
                {{ form.patient_district.label_tag }}
                {{ form.patient_district|add_class:"form-select mt-1" }}
            </div>
            <div class="form-group col-md-4 mb-3">
                {{ form.patient_phone.label_tag }}
                {{ form.patient_phone|add_class:"form-control mt-1" }}
            </div>
            <div class="form-group col-md-4 mb-3">
                {{ form.patient_phone2.label_tag }}
                {{ form.patient_phone2|add_class:"form-control mt-1" }}
            </div>
            <div class="form-group col-md-4 mb-3">
                {{ form.patient_email.label_tag }}
                {{ form.patient_email|add_class:"form-control mt-1" }}
            </div>
        </div>
      </div>
      <div class="card-footer text-right">
          <div class="d-flex">
              <a href="{% url 'patients:list' %}" class="btn btn-link">Cancel</a>
              <button type="submit" class="btn btn-primary ml-auto">Submit</button>
          </div>
      </div>
    </form>
  </div>
</div>
<script>
 document.addEventListener("DOMContentLoaded", function () {
  	 flatpickr(document.getElementById('calendar-time'), {
         defaultDate: $('#calendar-time').val(),
         onChange: function(selectedDates, dateStr, instance) {
             $('#calendar-time').val(dateStr);
             console.log($('#calendar-time').val());
             console.log(dateStr);
         },

     });
 });
</script>

{% endblock content %}
